Subject: RE: [Ospf-manet] Initial Scenario Description

From: "Stan Ratliff \(sratliff\)" <[email-masked]>
Date: Fri, 13 Jan 2006 11:45:55 -0500

Not to be pedantic, but IMO the difference in a 
range/grid ratio of 0.50 and 0.75 is the difference 
in a "mesh-connected network" and a "REALLY 
mesh-connect network". It doesn't seem to me that 
range/grid ratios > 0.50 are going to tell us much. 

Regards,
Stan

>-----Original Message-----
>From: [email-masked] 
>[mailto:[email-masked]] On Behalf Of Richard Ogier
>Sent: Friday, January 13, 2006 11:33 AM
>To: Bose, Pratik; [email-masked]
>Subject: Re: [Ospf-manet] Initial Scenario Description
>
>We had some discussion of scenarios on this list (e.g., my message on 
>11/28 and
>Abhay Roy's message on 11/30).  In my comments below, I repeat some of
>my conclusions from that discussion.
>
>Bose, Pratik wrote:
>
>> Hi,
>>
>>  
>>
>> I finally got a chance to peruse through the information that Tom 
>> cited below. After analyzing the wealth of information, I have the 
>> following suggestions for OSPF-MANET scenarios for this mailing list 
>> to consider. The motivation behind my comments is to consider the 
>> requirements of a  wider, more complete set of deployments for 
>> OSPF-MANET. The current scenario is a great first step, we also need 
>> to address the requirements of other networks whose characteristics  
>> can be different from the current scenario. I try to cover 
>nodes with 
>> different mobility characteristics of multiple vehicle type 
>(air, land 
>> and water) and I think we all will notice that these can be so 
>> different that algorithm evaluation should be subject to 
>this variety:
>>
>>  
>>
>> - Grid size and radio range: These two factors are clearly related. 
>> The current scenario has 500 m^2 grid size and a radio range 
>of 250 m. 
>> This forms I think the spectrum of agile land based manet nodes with 
>> limited mobility. It would help if the scenario allows these two 
>> parameters to be specified as a ratio in metres for Grid 
>Size / Range, 
>> with the current scenario having a value of 2. At least a few more 
>> values of this ratio is required such as 10, 50, 150 etc. This will 
>> cover cases where long range radios can cover large grid sizes (some 
>> of which go into kilometres - think large land vehicles, ships, 
>> planes). A corresponding number of nodes would also apply to 
>each case.
>>
>Roy suggested range/grid ratios of 0.25, 0.50, 0.75, and 1.0,
>but I think the latter two are both very close to a fully 
>connected network,
>so my suggestion is to use the three ratios 0.25, 0.50, and 0.75.
>Anything smaller than 0.25 will result in the network being partitioned
>most of the time unless the number of nodes is more than about 50.
>It may be possible to use a slightly smaller ratio for 100 nodes, such
>as 0.20, but that is not much different from 0.25 (and we want to limit
>the number of scenarios).
>
>>  
>>
>> - Velocity: The current scenario specifies 10 m/s . This is again 
>> typical for certain land based vehicles only. In addition 
>other mobile 
>> node speeds need to be considered. Typical maritime speeds 
>are double 
>> the current number and airborne vehicle speeds begin at an order of 
>> maginute greater upto Mach-1 speeds.
>>
>Roy and I agreed that 5, 15, and 25 m/s are good choices.
>I would also like to see results for 0 m/s (non-mobile), since
>such networks can occur, and node movement can hide problems that
>may occur when there is no movement (i.e., initial transient problems
>may disappear when there is mobility, but may last a long time
>if the topology does not change).  So maybe 0, 10, 20, and 30 m/s
>are better choices.  I don't think higher speeds are within our scope.
>
>I made other suggestions in my post on 11/28, such as the use of
>a smaller Hello Interval for higher node speeds, so that the
>packet delivery ratio is increased to reasonable levels.
>E.g., perhaps use a Hello Interval of 1 second for node speeds
>of 15 m/s and above. (It might also make sense to use smaller values
>of other parameters such as MinLSInterval and RxmtInterval.)
>Also, techniques that can be used by all proposed solutions, such
>as the database exchange optimization described in the OSPF-MDR
>draft, should be used by all solutions.
>
>>  
>>
>> - Pause Time: A pause time of 40 seconds in the current scenario is 
>> sufficient for land vehicles for certain quick stationary activity. 
>> Both shorter (air-vehicles) and larger (for both maritime and 
>> land vehicles) pause time should also be considered ranging from the 
>> millisecond to hour range. This can be done in discrete steps such 
>> that at least one order of magnitude (millisecond, second, hour) is 
>> captured. Another aspect of pause time implications which I 
>could not 
>> find (maybe I missed it) in the current scenario is that for most 
>> radios, the moment they pause their radio range  increases 
>> significantly. This is an important aspect to consider, 
>especially for 
>> large pause times.
>>
>>  
>>
>> Although the above detail may seem involved, my guess is that all of 
>> the above can be condensed to a handful of scenarios.
>>
>Yes, for example 3 choices of range, 3 choices of node speed, and 4 
>choices for
>number of nodes (e.g., 25, 50, 75, 100) will result in 36 scenarios.
>
>Richard
>
>> The reason why I think this is important is that the above 
>> characteristics are so different that it seems moot that we 
>as a group 
>> incorporate them in our evaluation while we ponder on OSPF-MANET. 
>>
>>  
>>
>> Thanks,
>>
>>  
>>
>> Pratik
>>
>>
>> 
>---------------------------------------------------------------
>---------
>> From: Henderson, Thomas R [mailto:[email-masked]]
>> Sent: Thursday, December 01, 2005 10:35 AM
>> To: Bose, Pratik; [email-masked]
>> Subject: RE: [Ospf-manet] Initial Scenario Description
>>
>> The code that implements this can be found at 
>> SRC/mobility-random-waypoint.{cc,h}.  It is not documented anywhere 
>> else AFAIK.  There are some other example scripts in the EXAMPLES/ 
>> directory (testwirelessgrid*) that use the mobility models.  
>Also, the 
>> simulator can be configured to generate animations such as shown in 
>> Figure A.6 of the documentation, or at the website:  
>> http://hipserver.mct.phantomworks.org/ietf/ospf/
>>
>>  
>>
>> Figure 4-1 describes what happens.  Each node starts at a random 
>> location on the grid, picks a new random location on the grid, moves 
>> there with constant velocity, and once there, pauses for a fixed 
>> amount of time before picking a new random location.  In most of the 
>> plots in the report, we used a grid size of 500 m^2, pause 
>time of 40 
>> seconds, and velocity of 10 m/s, and a radio range of 250 m 
>(the radio 
>> models are described in more detail in Section 3.2).
>>
>>  
>>
>> Tom
>>
>>
>>     
>---------------------------------------------------------------
>---------
>>     From: Bose, Pratik [mailto:[email-masked]]
>>     Sent: Thursday, December 01, 2005 6:59 AM
>>     To: [email-masked]
>>     Subject: [Ospf-manet] Initial Scenario Description
>>
>>     Tom (and/or anyone else who knows)
>>
>>      
>>
>>     I would like to understand the random way point scenario that was
>>     conducted a bit better. Is there any more info that I can be
>>     pointed to (more than what is in Section 4.1 of the 
>current report).
>>
>>      
>>
>>     Thanks,
>>
>>
>>     Pratik
>>
>>
>>--------------------------------------------------------------
>----------
>>
>>_______________________________________________
>>Ospf-manet mailing list
>>[email-masked]
>>https://www1.ietf.org/mailman/listinfo/ospf-manet
>>
>>
>>--------------------------------------------------------------
>----------
>>
>>No virus found in this incoming message.
>>Checked by AVG Free Edition.
>>Version: 7.1.362 / Virus Database: 267.14.15/223 - Release 
>Date: 1/6/2006
>>
>
>
>
>_______________________________________________
>Ospf-manet mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ospf-manet
>

_______________________________________________
Ospf-manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf-manet

---

From: Richard Ogier <[email-masked]>
Date: Fri, 13 Jan 2006 09:26:25 -0800

>range/grid ratios > 0.50 are going to tell us much.
I have seen simulation results in which protocol A performs better
than protocol B with a range/grid ratio of 0.50 and protocol B
performs better with a ratio of 0.75 [Tao Lin et al. WCNC'03].
(If you look at that paper, you will see that the results are
very different for those two ratios.)
Even a fully connected wireless network is of interest, since
such networks can occur and must be supported.

Regarding very sparse networks which are highly partitioned
into small groups, we should consider that there is a lot
of spatial reuse of bandwidth in such networks, so only a
small part of the total overhead affects each small group.
The point is that small networks, whether by themselves
or part of a larger sparse network, are not as challenging
as large, dense networks.  Also, the delivery ratio can be
very small in highly partitioned networks, since most destinations
are not reachable, so it is difficult to know what a "good"
delivery ratio should be.

Richard